## Makefile.am for MPC file meta info plugin

# set the include path for X, qt, KDE and TagLib
INCLUDES         = $(all_includes) $(taglib_includes)

# these are the headers for your project
noinst_HEADERS   = tdefile_mpc.h

kde_module_LTLIBRARIES = tdefile_mpc.la

tdefile_mpc_la_SOURCES = tdefile_mpc.cpp
tdefile_mpc_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor $(taglib_libs) -module $(KDE_PLUGIN)
tdefile_mpc_la_LIBADD = $(LIB_TDEIO)

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) tdefile_mpc.cpp -o $(podir)/tdefile_mpc.pot

services_DATA = tdefile_mpc.desktop
servicesdir = $(kde_servicesdir)
